WordPress.org

Ready to get started?Download WordPress

Plugin Directory

Filters - An Enhanced UI for Post management

A flexible replacement for the default WordPress post management. Takes over edit.php screens for all post types.

0.4

  • Added: Added support for WP 3.8 and 3.9
  • Removed: No longer offering support for WP 3.6 or 3.7
  • Coming soon: Modal based filtering, and the new WP 3.9 theme browser bar to replace the Filters bar

0.3

  • Added: Custom Field Suite integration, now automatically pulls filters from the post type, if it has fields valid for CFS
  • Added: Added support for WP 3.7
  • Improved: Pods integration now better for relationship fields
  • Removed: No longer offering support for WP 3.5

0.2

  • Added: Pods integration, now automatically pulls filters from the post type, if it's created/extended by Pods
  • Added: New compare / relation handling in query parameters available, form UI has not been updated to reflect the new options: filters_relation (and/or) and filters_compare_fieldname (see WP_Query meta_query)
  • Added: New filter - filters_post_type_blacklist - Provide an array of post types to exclude from the enhanced UI
  • Added: New filter - filters_ui_fields - Provide an array of field data to use
  • Added: New filter - filters_ui_filters - Provide an array of filters to use (utilizes field data)
  • Added: New filter - filters_ui_views - Provide an array of 'view' => 'Label' to use (defaults to post statuses)
  • Added: New filter - filters_ui_popup_months - Provide null, false, or empty string to exclude the 'Months' input in the filters popup
  • Improved: Cleaned up the Filters_Posts_List_Table class a bit, abstracted for fields/filters data (for Pods integration)
  • Fixed: CSS fixes for WP 3.5
  • Removed: No longer offering support for WP 3.4

0.1

  • Alpha release, to get things rolling!

Requires: 3.8 or higher
Compatible up to: 3.9.2
Last Updated: 2014-4-17
Downloads: 1,615

Ratings

5 stars
5 out of 5 stars

Support

0 of 2 support threads in the last two months have been resolved.

Got something to say? Need help?

Compatibility

+
=
Not enough data

0 people say it works.
0 people say it's broken.

100,1,1
100,1,1
100,1,1
100,1,1